%global python3_pkgversion 39
%global srcname kerberos
%global sum A high-level wrapper for Kerberos (GSSAPI) operations

Name:           python%{python3_pkgversion}-%{srcname}-epel
Version:        1.3.0
Release:        1%{?dist}
Summary:        %{sum}

License:        ASL 2.0
# SVN browser is at https://trac.calendarserver.org/browser/PyKerberos
URL:            https://pypi.python.org/pypi/kerberos
Source0:        https://pypi.python.org/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        LICENSE

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-requests
BuildRequires:  krb5-devel
BuildRequires:  gcc


%global desc This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.\
The goal is to avoid having to build a module that wraps the entire\
Kerberos framework, and instead offer a limited set of functions that do what\
is needed for client/server Kerberos authentication based on\
<http://www.ietf.org/rfc/rfc4559.txt>.

%description
%{desc}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}

%description -n python%{python3_pkgversion}-%{srcname}
%{desc}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%{py3_build}

%install
install -m 644 $RPM_SOURCE_DIR/LICENSE LICENSE 
%{py3_install}

%check
# Regression test for https://bugzilla.redhat.com/2008899
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python3} -c 'import kerberos; kerberos.channelBindings(application_data=b"")'

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/*


%changelog
* Wed Nov  9 2022 Orion Poplawski <orion@nwra.com> - 1.3.0-1
- Build for EPEL with Python 3.9
